import { DB_TYPE } from "../../../../env.defaults";

export default abstract class DateMappingHelper {
  static mapDate(entry: any) {
    switch (DB_TYPE) {
      case "postgres":
        return `${entry.years} years ${entry.months} months ${entry.days} days`;
      case "mysql":
        return entry.toString();
      case "sqlite":
        return entry;
    }
  }
}
